Skip to main content
GET
/
runs
/
{run_id}
Get a canonical durable run
curl --request GET \
  --url https://api.veryfront.com/runs/{run_id} \
  --header 'Authorization: Bearer <token>'
{
  "run_id": "<string>",
  "kind": "agent",
  "status": "pending",
  "owner": {
    "kind": "conversation",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "parent_run_id": "<string>",
  "root_run_id": "<string>",
  "waiting_reason": "tool",
  "created_at": "<string>",
  "started_at": "<string>",
  "completed_at": "<string>",
  "metadata": null
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

run_id
string
required
Minimum string length: 1

Response

200 - application/json

Run summary

run_id
string
required
Minimum string length: 1
kind
enum<string>
required
Available options:
agent,
workflow,
job
status
enum<string>
required
Available options:
pending,
running,
waiting,
completed,
failed,
cancelled
owner
object
required
parent_run_id
string | null
required
Minimum string length: 1
root_run_id
string
required
Minimum string length: 1
waiting_reason
enum<string> | null
required
Available options:
tool,
approval,
event,
input
created_at
string
required
started_at
string | null
required
completed_at
string | null
required
metadata
unknown